/* Author:

*/

$(function(){
	// Create the dropdown base
	$('<select />').appendTo("nav.main-nav");

	// Create default option "Go to..."
	$("<option />", {
		"selected": "selected",
		"value"   : "",
		"text"    : "Ir para..."
	}).appendTo("nav.main-nav select");

	// Populate dropdown with menu items
	$("nav.main-nav ul.device-hidden a").each(function() {
		var el = $(this);
		$("<option />", {
		"value"   : el.attr("href"),
		"text"    : el.text()
		}).appendTo("nav.main-nav select");
	});

	$("nav.main-nav select").change(function() {
		window.location = $(this).find("option:selected").val();
	});

});